2007-04-29

eva qq in ubuntu

花了两天才弄好eva

其实学校feisty的源可以直接安装配置eva的,只是我仍在用edgy且短时内不打算升到feisty.edgy源里没有eva.我不想为此修改source.list再update,否则倒是改回来就不好整了,于是从源里下了个deb安装,不过需要依赖很多高版本的库,但是edgy源里这些库的版本号不够...

于是编译安装吧

eva 官方论坛里有个源码包下载,不过我编译后不能正常登录,说"您所在ip不能使用旧版本之类"...关于这个信息,eva的调试信息出的都是16进制的,需要用16进制编辑器写一下再看.
后来查到可以修改src/libeva/evadefines.h,这就要查QQ版本号代码了,我从飘云QQ里搞来了个列表,不过跟这个.h里的定义有很大出入,我尝试了几个均失败了.

最后终于发现我一直在犯傻 -- feisty源里也有源码下载,而且是cvs版本的,比较新.于是乎编译安装,最后,哈!能登录了!

但是开始时字体有问题,我在网上搜,说是应该改kde系统字体,用kcontrol改(一开始我看成konsole了,搞了半天,莫名其妙),这个不必多说.

这样就能正常使用了,截图功能还不错,不过截图发送有问题,传文件也不行.不知道为什么,不过也没多大关系,当初Luma时也差不多.

最后对eva开发维护者表示感谢!
发表评论